This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 441916 - firstboot prints some errors on one of the virtual terminals
firstboot prints some errors on one of the virtual terminals
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-10 14:22 EDT by archimerged Ark submedes
Modified: 2014-06-18 05:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:26:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description archimerged Ark submedes 2008-04-10 14:22:55 EDT
Description of problem:
I wrote down the errors but I forgot which VT they were on.
These might be important (or not).

The X server log is set to /dev/null.  It should be saved,
just as the rhgb and ordinary session logs are.  It could
be in /tmp

ERROR Module {rootpassword,language} does not contain a
class named moduleClass, skipping

Window manager warning:  buggy client sent _NET_ACTIVE_WINDOW message with
tim4estamp 0 for 0x400115 (firstboot)

Window manager warning:  meta_window.activate called by a pager with a 0
timestamp.  The pager needs to be fixed.

Version-Release number of selected component (if applicable):
Rawhide-2008-04-09

How reproducible:
Haven't tried to reproduce it.

Steps to Reproduce:
1. New install
2. Firstboot runs
3. Press CTL-ALT-F1 through F5 looking for the errors.
  
Actual results:
See some errors.

Expected results:

Additional info:
Comment 1 Chris Lumens 2008-04-11 05:46:39 EDT
There are a couple different problems here that should be filed as separate
bugs.  The errors with the rootpassword and language modules are because those
were never updated to the new firstboot module system.  They should only ever
appear in reconfig mode anyway, which you probably weren't doing, so you're not
missing anything here.  However the packages that provide those modules should
probably either be updated or remove them.

The window manager warnings I haven't seen before.  I'll reassign this bug to
metacity for now so they can check this out and see if there's something I am
doing incorrectly.
Comment 2 Bug Zapper 2008-05-14 05:16:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 20:07:15 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 12:26:42 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.